package com.eactive.eai.common.routing.pool;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class RoutingThreadPoolExecutor {
	private static RoutingThreadPoolExecutor instance =  new RoutingThreadPoolExecutor();
    
    /**
     * 기동 여부
     */
	private boolean started = false;
    private static ExecutorService executor  = Executors.newFixedThreadPool(10);
    
    /** 
    * 1. 기능 :  Default Constructor
    * 2. 처리 개요 : 
    * 3. 주의사항 
    **/
    private RoutingThreadPoolExecutor() {

    }
 
    public static RoutingThreadPoolExecutor getInstance() {
        return instance;   
    }
  
    public ExecutorService getExecutor(){
    	return executor;
    }
    public static void destroy(){
    	instance = null;
    	executor.shutdownNow();
    }
}
